package com.backendsys.mapper.Ali;

import com.backendsys.entity.Ali.AliDashscopeTaskDTO;
import com.backendsys.entity.Ali.AliDashscopeTaskResultDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface AliDashscopeTaskMapper {
    List<Map<String, Object>> queryDashscopeTaskList(AliDashscopeTaskDTO aliDashscopeTaskDTO);
    List<Map<String, Object>> queryDashscopeTaskResultList(AliDashscopeTaskResultDTO aliDashscopeTaskResultDTO);
    Map<String, Object> queryDashscopeTaskDetail(AliDashscopeTaskDTO aliDashscopeTaskDTO);
    long insertDashscopeTask(AliDashscopeTaskDTO aliDashscopeTaskDTO);
    long insertDashscopeTaskResult(List<Map<String, Object>> results);
    long updateDashscopeTask(AliDashscopeTaskDTO aliDashscopeTaskDTO);
}
